Text-to-Video VQ1/VQ2/VQ3P
/api/v1/video/generationHeader Parameters
Format: Authorization: Bearer sk-xxxxxx
Request Body
application/json
Fixed value t2v
Model names, supported: viduq1 viduq2 viduq3-pro
"viduq1" | "viduq2" | "viduq3-pro"Generated prompt text
Video duration in seconds, supported values: viduq1: fixed at 5; viduq2: supports 1-8; viduq3-pro: default 5, supports 1-16.
Resolution: viduq1 supports 1080p; viduq2 supports 360p / 540p / 720p / 1080p; viduq3-pro defaults to 720p, supports 540p / 720p / 1080p.
Style, only supported by viduq1, default is general, supported: general, anime.
Motion amplitude, only supported by viduq1, default auto, supported: auto, small, medium, large.
Random Seed
Aspect ratio, default 16:9, supported: 16:9, 9:16, 1:1. viduq2/viduq3-pro additionally supports 3:4, 4:3.
Whether to enable background music, default false
Whether to use the direct audio and video output capability, defaults to true (only supported by viduq3-pro)
Response Body
application/json
Success
TypeScript Definitions
Use the response body type in TypeScript.
Status Code
Data Object
Result Set
Usage Information
Number of Images
Video Duration in Seconds
Input Token Count
Total Tokens
Output Token Count
Validity Period
Task ID
Task Status
Status Information
Request ID
curl -X POST "https://api.ygw.ai/api/v1/video/generation" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "_action": "t2v", "model": "viduq1", "prompt": "string", "duration": 0, "resolution": "string" }'{
"code": 0,
"data": {
"urls": [
"string"
],
"usage": {
"images": 0,
"seconds": 0,
"input_tokens": 0,
"total_tokens": 0,
"output_tokens": 0
},
"expired": "string",
"task_id": "string",
"task_status": "string"
},
"message": "string",
"request_id": "string"
}